| IOFormat C# 1.8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Protected Attributes | List of all members
IOFormat.ViewIOPINVOKE Class Reference

## Classes
class | SWIGExceptionHelper
class | SWIGPendingException
class | SWIGStringHelper

## Public Member Functions
static void | Logger_Init (int jarg1)
static int | Logger_LogLevel ()
static global::System.IntPtr | new_Logger ()
static void | delete_Logger (global::System.Runtime.InteropServices.HandleRef jarg1)
static bool | Init ()
static global::System.IntPtr | OpenView__SWIG_0 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1)
static global::System.IntPtr | OpenView__SWIG_1 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg2)
static global::System.IntPtr | OpenView__SWIG_2 (global::System.Runtime.InteropServices.HandleRef jarg1)
static global::System.IntPtr | OpenView__SWIG_3 (global::System.Runtime.InteropServices.HandleRef jarg1, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg2)
static global::System.IntPtr | ReadImage ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1)
static global::System.IntPtr | OpenView__SWIG_4 (global::System.Runtime.InteropServices.HandleRef jarg1, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg2)
static global::System.IntPtr | OpenWriter__SWIG_0 (global::System.Runtime.InteropServices.HandleRef jarg1, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg2)
static global::System.IntPtr | OpenWriter__SWIG_1 (global::System.Runtime.InteropServices.HandleRef jarg1, global::System.Runtime.InteropServices.HandleRef jarg2, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg3)
static global::System.IntPtr | OpenWriter__SWIG_2 (global::System.Runtime.InteropServices.HandleRef jarg1, global::System.Runtime.InteropServices.HandleRef jarg2, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg3, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg4)
static void | WriteView__SWIG_0 (global::System.Runtime.InteropServices.HandleRef jarg1, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg2)
static void | WriteView__SWIG_1 (global::System.Runtime.InteropServices.HandleRef jarg1, global::System.Runtime.InteropServices.HandleRef jarg2, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg3)
static string | FormatFromExtension ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1)
static global::System.IntPtr | StackReader_OpenImageFromPattern__SWIG_0 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1, int jarg2)
static global::System.IntPtr | StackReader_OpenImageFromPattern__SWIG_1 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1)
static global::System.IntPtr | StackReader_ReadImageFromPattern__SWIG_0 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1, int jarg2)
static global::System.IntPtr | StackReader_ReadImageFromPattern__SWIG_1 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1)
static global::System.IntPtr | StackReader_OpenImageFromListFile__SWIG_0 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1, int jarg2)
static global::System.IntPtr | StackReader_OpenImageFromListFile__SWIG_1 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1)
static global::System.IntPtr | StackReader_ReadImageFromListFile__SWIG_0 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1, int jarg2)
static global::System.IntPtr | StackReader_ReadImageFromListFile__SWIG_1 ([global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg1)
static void | delete_StackReader (global::System.Runtime.InteropServices.HandleRef jarg1)
static void | StackWriter_WriteFromPattern__SWIG_0 (global::System.Runtime.InteropServices.HandleRef jarg1, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg2)
static void | StackWriter_WriteFromPattern__SWIG_1 (global::System.Runtime.InteropServices.HandleRef jarg1, [global::System.Runtime.InteropServices.MarshalAs(global::System.Runtime.InteropServices.UnmanagedType.CustomMarshaler, MarshalTypeRef=typeof(UTF8Marshaler))]string jarg2)
static void | delete_StackWriter (global::System.Runtime.InteropServices.HandleRef jarg1)
static void | VersionInfo_major_set (global::System.Runtime.InteropServices.HandleRef jarg1, int jarg2)
static int | VersionInfo_major_get (global::System.Runtime.InteropServices.HandleRef jarg1)
static void | VersionInfo_minor_set (global::System.Runtime.InteropServices.HandleRef jarg1, int jarg2)
static int | VersionInfo_minor_get (global::System.Runtime.InteropServices.HandleRef jarg1)
static void | VersionInfo_patch_set (global::System.Runtime.InteropServices.HandleRef jarg1, int jarg2)
static int | VersionInfo_patch_get (global::System.Runtime.InteropServices.HandleRef jarg1)
static global::System.IntPtr | new_VersionInfo ()
static void | delete_VersionInfo (global::System.Runtime.InteropServices.HandleRef jarg1)
static global::System.IntPtr | IOFORMAT_VERSION_get ()
static string | IOFORMAT_VERSION_STRING_get ()
static string | IOFORMAT_SHA_get ()
static global::System.IntPtr | Versioning_Version ()
static string | Versioning_VersionString ()
static string | Versioning_Sha ()
static bool | Versioning_CheckCompatibility__SWIG_0 (global::System.Runtime.InteropServices.HandleRef jarg1)
static bool | Versioning_CheckCompatibility__SWIG_1 ()
static global::System.IntPtr | new_Versioning ()
static void | delete_Versioning (global::System.Runtime.InteropServices.HandleRef jarg1)

## Static Protected Attributes
static SWIGExceptionHelper | swigExceptionHelper = new SWIGExceptionHelper()
static SWIGStringHelper | swigStringHelper = new SWIGStringHelper()

The documentation for this class was generated from the following file:

- Release/net/generated/ViewIOPINVOKE.cs